# IpeXmlAttributes Class Reference
[Ipe Base]

Stores attributes of an XML tag. More...

List of all members.

## Public Types

- typedef Map::const_iterator const_iterator

## Public Member Functions

- const_iterator begin () const
- const_iterator end () const
- IpeXmlAttributes ()
- void Clear ()
- IpeString operator[] (IpeString str) const
- bool Has (IpeString str, IpeString &val) const
- void Add (IpeString key, IpeString val)
- void SetSlash ()
- bool Slash () const

## Detailed Description

Stores attributes of an XML tag.

## Member Typedef Documentation

typedef Map::const_iterator IpeXmlAttributes::const_iterator

Iterator for (key, value) pairs.

## Constructor & Destructor Documentation

IpeXmlAttributes::IpeXmlAttributes | ( |  | ) |

Constructor for an empty collection.

## Member Function Documentation

const_iterator IpeXmlAttributes::begin | ( |  | ) | const`[inline]`

Return const iterator for first attribute.

const_iterator IpeXmlAttributes::end | ( |  | ) | const`[inline]`

Return const iterator for end of attributes.

void IpeXmlAttributes::Clear | ( |  | ) |

Remove all attributes.

IpeString IpeXmlAttributes::operator[] | ( | IpeString | str | ) | const

Return attribute with given key.

Returns an empty string if no attribute with this key exists.

bool IpeXmlAttributes::Has | ( | IpeString | str,
|  | IpeString & | val |
| ) |  |  | const

Check whether attribute exists, set `val` if so.

void IpeXmlAttributes::Add | ( | IpeString | key,
|  | IpeString | val |
| ) |  |  |

Add a new attribute.

void IpeXmlAttributes::SetSlash | ( |  | ) | `[inline]`

Set that the tag contains the final /.

bool IpeXmlAttributes::Slash | ( |  | ) | const`[inline]`

Return whether tag contains the final /.

The documentation for this class was generated from the following files:

- ipexml.h
- ipexml.cpp